using System.Collections.Generic;
using isnd.Data.Packages;
using Newtonsoft.Json;

namespace isnd.Data.Catalog
{
    public class RegistrationPageIndexQuery
    {
        public RegistrationPageIndexQuery()
        {
        }

        [JsonProperty("query")]
        public string Query { get; set; }

        [JsonProperty("prerelease")]
        public bool Prerelease { get; set; } = true;
        [JsonProperty("skip")]

        public int Skip { get; set; } = 0;
        [JsonProperty("take")]

        public int Take { get; set; } = 25;
    }
}